clear all
x2 = -10:0.1:0;
x1 = 0.5*x2.*x2;
plot(x1,x2, 'k')

hold on

x2 = 0:0.1:10;
x1 = -0.5*x2.*x2;
plot(x1,x2, 'k')

grid on

%clear x1 x2
x1(1) = 30;
x2(1) = 6;

dt = 0.01;
for i = 2:10000,
	x1(i) = x1(i-1) + x2(i-1)*dt;
	x2(i) = x2(i-1) + (-1)*dt;
	if abs(x1(i)-0.5*x2(i)^2) <= 0.1,
		break;
	end
end

plot(x1,x2, 'k')

x1(1) = 10;
x2(1) = -8;

dt = 0.01;
for i = 2:10000,
	x1(i) = x1(i-1) + x2(i-1)*dt;
	x2(i) = x2(i-1) + (1)*dt;
	if abs(x1(i)+0.5*x2(i)^2) <= 0.1 && x2(i) >= 0,
		break;
	end
end

plot(x1(1:i),x2(1:i), 'k')

xlabel('x_1')
ylabel('x_2', 'Rotation', 0)






